Subject: Re: [bug] cygwin-1.5.6-1: corruption on tar | bzip2 > file.tar.bz2
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 25 Jan 2004 12:05:46 -0500

On Sun, Jan 25, 2004 at 02:25:07PM +0100, Ilya Pobelov wrote:
>>>After installing cygwin-1.5.6-1 files created with
>>>tar -c <names> | bzip2 > file.tar.bz2
>>>were corrupted (bzip2 reports CRC cheking error when trying to unpack).
>>>With cygwin-1.5.6-1 such command works as expected.
>
>I am very sorry, I made a missprint. Everything worked fine with 
>previous version cygwin-1.5.5-1
>
>>The tar command + pipe that you specify would not produce a compressed
>>tar archive since tar -c <names> would not produce anything on stdout
>>for bzip2 to compress.

Actually, I was wrong here.  This would work fine.  Apologies.

>bash-2.05b$ tar -c work | bzip2 > work.tar.bz2
>bash-2.05b$ bzip2 -t work.tar.bz2
>bzip2: work.tar.bz2: data integrity (CRC) error in data
>
>You can use the `bzip2recover' program to attempt to recover
>data from undamaged sections of corrupted files.
>
>bash-2.05b$ rm work.tar.bz2
>bash-2.05b$ tar -cf - work | bzip2 > work.tar.bz2
>bash-2.05b$ bzip2 -t work.tar.bz2
>bzip2: work.tar.bz2: data integrity (CRC) error in data
>
>You can use the `bzip2recover' program to attempt to recover
>data from undamaged sections of corrupted files.

Sorry, but as previously indicated, I can't duplicate this.

See http://cygwin.com/problems.html for a description of how to report
problems that might help.

If I were you, I would be comparing the difference between the working
and non-working cases, like is the file size different?  I'd also try
the most recent snapshot:  http://cygwin.com/snapshots.html .

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/